Skip to main content
GET
/
financial_commitment_reports
/
{financial_commitment_report_token}
Get financial commitment report by token
curl --request GET \
  --url https://api.vantage.sh/v2/financial_commitment_reports/{financial_commitment_report_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "fncl_cmnt_rprt_86a93126175f91ed",
  "title": "All Financial Commitments",
  "default": false,
  "created_at": "2025-01-27T21:42:04Z",
  "workspace_token": "wrkspc_0e9408c2a0682914",
  "user_token": null,
  "start_date": "2024-10-01",
  "end_date": "2025-01-25",
  "date_interval": "last_3_months",
  "date_bucket": "month",
  "groupings": "cost_type",
  "on_demand_costs_scope": "discountable",
  "filter": "(financial_commitments.provider = 'aws')"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

financial_commitment_report_token
string
required

Response

FinancialCommitmentReport model

token
string
required
title
string
required

The title of the FinancialCommitmentReport.

Example:

"Acme123 Financial Commitment Report"

default
boolean
required

Indicates whether the FinancialCommitmentReport is the default report.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the FinancialCommitmentReport is a part of.

start_date
string | null
required

The start date for the FinancialCommitmentReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-01"

end_date
string | null
required

The end date for the FinancialCommitmentReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-20"

date_interval
string | null
required

The date range for the FinancialCommitmentReport. Only present if a custom date range is not specified.

Example:

"last_month"

date_bucket
string
required

How costs are grouped and displayed in the FinancialCommitmentReport. Possible values: day, week, month.

Example:

"month"

groupings
string | null
required

The grouping aggregations applied to the filtered data.

Example:

"cost_type, tag:account"

on_demand_costs_scope
string
required

The scope for the costs. Possible values: discountable, all.

Example:

"discountable"

filter
string | null
required

The filter applied to the FinancialCommitmentReport. Additional documentation available at https://docs.vantage.sh/vql.

user_token
string | null

The token for the User who created this FinancialCommitmentReport.